Loading...
Searching...
No Matches
gx_system::PresetBanks::iterator Class Reference

`#include <gx_json.h>`

## Public Member Functions

| iterator (bl_type::iterator i)
bool | operator!= (const iterator &i) const
iterator & | operator++ ()
PresetFile * | operator-> ()
PresetFile * | operator* ()

## Private Attributes

bl_type::iterator | it

## Detailed Description

Definition at line 427 of file gx_json.h.

## Constructor & Destructor Documentation

## iterator()

gx_system::PresetBanks::iterator::iterator | ( | bl_type::iterator | i | ) |

inline

Definition at line 431 of file gx_json.h.

Referenced by operator!=(), and operator++().

## Member Function Documentation

## operator!=()

bool gx_system::PresetBanks::iterator::operator!= | ( | const iterator & | i | ) | const

inline

Definition at line 432 of file gx_json.h.

## operator*()

PresetFile * gx_system::PresetBanks::iterator::operator* | ( |  | ) |

inline

Definition at line 435 of file gx_json.h.

## operator++()

iterator & gx_system::PresetBanks::iterator::operator++ | ( |  | ) |

inline

Definition at line 433 of file gx_json.h.

## operator->()

PresetFile * gx_system::PresetBanks::iterator::operator-> | ( |  | ) |

inline

Definition at line 434 of file gx_json.h.

## Member Data Documentation

## it

bl_type::iterator gx_system::PresetBanks::iterator::it

private

Definition at line 429 of file gx_json.h.

Referenced by iterator(), operator!=(), operator*(), operator++(), and operator->().

The documentation for this class was generated from the following file:

- src/headers/gx_json.h